VSTGUI: CResourceDescription Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
CResourceDescription Class Reference

Describes a resource by name or by ID. More...

`#include <cresourcedescription.h>`

## Public Types
enum | { kIntegerType , kStringType , kUnknownType }

## Public Member Functions
| CResourceDescription ()=default
| CResourceDescription (UTF8StringPtr name)
| CResourceDescription (int32_t id)
| CResourceDescription (const CResourceDescription &)=default
CResourceDescription & | operator= (int32_t id)
CResourceDescription & | operator= (const CResourceDescription &desc)=default

## Public Attributes
int32_t | type {kUnknownType}
union { |
int32_t id |
UTF8StringPtr name {nullptr} |
} | u |

## Detailed Description

Describes a resource by name or by ID.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
kIntegerType |
kStringType |
kUnknownType |

## Constructor & Destructor Documentation

## ◆ CResourceDescription() [1/4]

CResourceDescription | ( |  | ) |
| default

## ◆ CResourceDescription() [2/4]

CResourceDescription | ( | UTF8StringPtr | name | ) |
| inline

## ◆ CResourceDescription() [3/4]

CResourceDescription | ( | int32_t | id | ) |
| inlineexplicit

## ◆ CResourceDescription() [4/4]

CResourceDescription | ( | const CResourceDescription & |  | ) |
| default

## Member Function Documentation

## ◆ operator=() [1/2]

CResourceDescription & operator= | ( | const CResourceDescription & | desc | ) |
| default

## ◆ operator=() [2/2]

CResourceDescription & operator= | ( | int32_t | id | ) |
| inline

## Member Data Documentation

## ◆ id

int32_t id

## ◆ name

UTF8StringPtr name {nullptr}

## ◆ type

int32_t type {kUnknownType}

## ◆ [union]

union { ... } u

The documentation for this class was generated from the following file:

- cresourcedescription.h